summaryrefslogtreecommitdiffstats
path: root/office
diff options
context:
space:
mode:
author Binh Nguyen2011-12-11 14:51:47 +0100
committer Niels Horn2011-12-11 14:51:47 +0100
commit6b10a71e8d2ab4a2d98d950412fe4ec37d070856 (patch)
tree2ca94476b72ba7b9958fbd1e5929ecdf46720bb2 /office
parentb44744c2895bdd260ad95bcbc9e35c669afee8b6 (diff)
downloadslackbuilds-6b10a71e8d2ab4a2d98d950412fe4ec37d070856.tar.gz
office/qpdf: Added (tools for transforming PDF files)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'office')
-rw-r--r--office/qpdf/README12
-rw-r--r--office/qpdf/qpdf.SlackBuild101
-rw-r--r--office/qpdf/qpdf.info10
-rw-r--r--office/qpdf/slack-desc19
4 files changed, 142 insertions, 0 deletions
diff --git a/office/qpdf/README b/office/qpdf/README
new file mode 100644
index 0000000000..02efdffb38
--- /dev/null
+++ b/office/qpdf/README
@@ -0,0 +1,12 @@
+QPDF is a program that does structural, content-preserving
+transformations on PDF files. It could have been called something
+like pdf-to-pdf. It also provides many useful capabilities to
+developers of PDF-producing software or for people who just want to
+look at the innards of a PDF file to learn more about how they work.
+
+QPDF offers many capabilities such as linearization (web
+optimization), encrypt, and decription of PDF files. Note that QPDF
+does not have the capability to create PDF files from scratch; it is
+only used to create PDF files with special characteristics starting
+from other PDF files or to inspect or extract information from
+existing PDF files.
diff --git a/office/qpdf/qpdf.SlackBuild b/office/qpdf/qpdf.SlackBuild
new file mode 100644
index 0000000000..21741d713d
--- /dev/null
+++ b/office/qpdf/qpdf.SlackBuild
@@ -0,0 +1,101 @@
+#!/bin/sh
+
+# Slackware build script for qpdf
+
+# Copyright 2011 Binh Nguyen <binhnguyen@fastmail.fm>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=qpdf
+VERSION=${VERSION:-2.3.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --infodir=/usr/info \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --localedir=/usr/share/locale \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a Artistic-2.0 ChangeLog INSTALL README* TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/qpdf/qpdf.info b/office/qpdf/qpdf.info
new file mode 100644
index 0000000000..bf2b4603d4
--- /dev/null
+++ b/office/qpdf/qpdf.info
@@ -0,0 +1,10 @@
+PRGNAM="qpdf"
+VERSION="2.3.0"
+HOMEPAGE="http://qpdf.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/qpdf/qpdf-2.3.0.tar.gz"
+MD5SUM="af6d60984055e6a2c988d53c55b1a7ca"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Binh Nguyen"
+EMAIL="binhnguyen@fastmail.fm"
+APPROVED="Niels Horn"
diff --git a/office/qpdf/slack-desc b/office/qpdf/slack-desc
new file mode 100644
index 0000000000..9bd47c915b
--- /dev/null
+++ b/office/qpdf/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+qpdf: qpdf (Command-line tools and library for transforming PDF files)
+qpdf:
+qpdf: QPDF is a program that does structural, content-preserving
+qpdf: transformations on PDF files. It could have been called something
+qpdf: like pdf-to-pdf. It also provides many useful capabilities to
+qpdf: developers of PDF-producing software or for people who just want to
+qpdf: look at the innards of a PDF file to learn more about how they work.
+qpdf:
+qpdf: Homepage: http://qpdf.sourceforge.net/
+qpdf:
+qpdf: